<?php

/**
 * Dynamic CSS
 */
function cat_groomer_dynamic_css() {
	$cat_groomer_primary_color = get_theme_mod( 'cat_groomer_primary_color', '#00C9D5' );

	$cat_groomer_site_title_font       = get_theme_mod( 'cat_groomer_site_title_font', 'Raleway' );
	$cat_groomer_site_description_font = get_theme_mod( 'cat_groomer_site_description_font', 'Raleway' );
	$cat_groomer_header_font           = get_theme_mod( 'cat_groomer_header_font', 'Lilita One' );
	$cat_groomer_content_font             = get_theme_mod( 'cat_groomer_content_font', 'Kodchasan' );

	// Enqueue Google Fonts
	$cat_groomer_fonts_url = cat_groomer_get_fonts_url();
	if ( ! empty( $cat_groomer_fonts_url ) ) {
		wp_enqueue_style( 'cat-groomer-google-fonts', esc_url( $cat_groomer_fonts_url ), array(), null );
	}

	$cat_groomer_custom_css  = '';
	$cat_groomer_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $cat_groomer_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$cat_groomer_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $cat_groomer_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $cat_groomer_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $cat_groomer_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $cat_groomer_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $cat_groomer_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'cat-groomer-style', $cat_groomer_custom_css );
}
add_action( 'wp_enqueue_scripts', 'cat_groomer_dynamic_css', 99 );